## net.dontdrinkandroot.wicket.bootstrap.css
Enum ButtonSize

    java.lang.Object
      java.lang.Enum<ButtonSize>
          net.dontdrinkandroot.wicket.bootstrap.css.ButtonSize

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ButtonSize>, net.dontdrinkandroot.wicket.css.CssClass

    public enum ButtonSize

extends java.lang.Enum<ButtonSize>
implements net.dontdrinkandroot.wicket.css.CssClass

Enum Constant Summary
`LARGE`
`MINI`
`SMALL`

Method Summary
`java.lang.String` `getClassString()`
`static ButtonSize` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ButtonSize[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MINI

    public static final ButtonSize MINI

### SMALL

    public static final ButtonSize SMALL

### LARGE

    public static final ButtonSize LARGE

Method Detail

### values

    public static ButtonSize[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ButtonSize c : ButtonSize.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ButtonSize valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getClassString

    public java.lang.String getClassString()

  Specified by:
    `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.